Subject: bug#57639: [PATCH] Add new command 'toggle-theme'

From: Philip Kaludercic <[email-masked]>
Date: Mon, 12 Sep 2022 11:06:45 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>>> I thought we already had support for this under Gtk?  But I may be
>>> misremembering.
>>
>> Am I reading it correctly that `style_changed_cb' in gtkutils.c would be
>> a place to start looking for this functionality?
>
> Ah, yes, I think that's the one...  Po Lu probably know more about this;
> added to the CCs.
>
>> So would gruvbox-soft-dark have all the other themes as variants or only
>> gruvbox-soft-dark?  
>
> Well, I was saying that the term "variants" isn't really what we need
> here, but tagging themes for features.
>
> So gruvbox-soft-dark would say
>
>   (theme-featues :name 'gruvbox :mode 'dark :softness 'soft)
>
> or...  feature names that make more sense.  😀
>
> Then the `theme-change-feature' if you have a gruvbox theme enabled
> would give you three other themes to choose from.
>
> If there's just the dark/light difference, then there's only one other
> theme to choose from, and no prompting would be needed.

OK, now I understand what confused me.  It certainly sounds interesting,
I just wonder what "features" there really are, or should it be kept
open-ended (i.e. any theme can specify any number of attributes)?